Get Booking Schedule
Bookings
GET /Bookings/schedule
Get available booking time slots for a given date and party size.
GET
Get Booking Schedule
Get available booking time slots for a given date and party size. Optionally pass an existing booking ID to find alternative times for rescheduling.
Response is an array of
string
required
Your API key
string
required
Start of date range. Format:
yyyy-MM-ddTHH:mm:ss.fffZinteger
required
Number of guests
string
End of date range. If not provided, returns slots for the entire day.
string
Existing booking ID to find alternative slots for rescheduling.
ScheduleQueryResponse objects.
ScheduleQueryResponse
ServiceModel
SectionModel —
id (string), name (string), order (integer)
TimeModel — time (string UTC datetime), name (string, e.g. “6:00 PM”), expired (boolean), bookingOptionsCount (integer), sections (array of { id, sectionState: boolean })
ServicePayment — paymentType, peopleRequired, price, fee, optionsFrom, optionsTo, maxPeoplePerBookingOverride, hasPromotion, singleMenuPerBooking
Example 200 Response
Authorizations
Headers
API Key authentication header
Query Parameters
The DateTime of Schedule. Format: 'yyyy-MM-ddTHH:mm:ss.fffZ'
The number of guests to find Schedule times
To find new Schedule timings for existing bookings.
Schedule end DateTime. If not passed, schedule for whole day is returned. Format: 'yyyy-MM-ddTHH:mm:ss.fffZ'